DCMTK: dcmsr/include/dcmtk/dcmsr/dsrwavch.h File Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
dsrwavch.h File Reference

definitions for class DSRWaveformChannelItem More...

## Classes
class | DSRWaveformChannelItem
| Class for waveform channel items. More...
class | DSRWaveformChannelList
| Class for waveform channel lists. More...

## Functions
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRWaveformChannelItem &lhs, const DSRWaveformChannelItem &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRWaveformChannelItem &lhs, const DSRWaveformChannelItem &rhs)
| inequality operator.
DCMTK_DCMSR_EXPORT OFBool | operator< (const DSRWaveformChannelItem &lhs, const DSRWaveformChannelItem &rhs)
| less-than operator.
DCMTK_DCMSR_EXPORT OFBool | operator> (const DSRWaveformChannelItem &lhs, const DSRWaveformChannelItem &rhs)
| greater-than operator.

## Detailed Description

definitions for class DSRWaveformChannelItem

## Function Documentation

## ◆ operator!=()

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRWaveformChannelItem & | lhs,
|  | const DSRWaveformChannelItem & | rhs )

inequality operator.

Internally, the DSRWaveformChannelItem::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator<()

DCMTK_DCMSR_EXPORT OFBool operator< | ( | const DSRWaveformChannelItem & | lhs,
|  | const DSRWaveformChannelItem & | rhs )

less-than operator.

Internally, the DSRWaveformChannelItem::isLessThan() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' is less than 'rhs', OFFalse otherwise

## ◆ operator==()

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRWaveformChannelItem & | lhs,
|  | const DSRWaveformChannelItem & | rhs )

equality operator.

Internally, the DSRWaveformChannelItem::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

## ◆ operator>()

DCMTK_DCMSR_EXPORT OFBool operator> | ( | const DSRWaveformChannelItem & | lhs,
|  | const DSRWaveformChannelItem & | rhs )

greater-than operator.

Internally, the DSRWaveformChannelItem::isGreaterThan() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' is greater than 'rhs', OFFalse otherwise

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2